﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;

namespace SfDataGridDemo
{
    public class OrderInfo :INotifyPropertyChanged
    {
        #region private members

        private int orderId;
        private int _customerId;
        private double _unitPrice;
        private int _quantiy;
        private ObservableCollection<ProductInfo> productdetails;


        #endregion

        #region public properties

        public int OrderID
        {
            get
            {
                return orderId;
            }
            set
            {
                orderId = value;
                RaisePropertyChanged("OrderID");
            }
        }

        public int CustomerID
        {
            get
            {
                return _customerId;
            }
            set
            {
                _customerId = value;
                RaisePropertyChanged("CustomerID");
            }
        }

        public double UnitPrice
        {
            get
            {
                return _unitPrice;
            }
            set
            {
                _unitPrice = value;
                RaisePropertyChanged("UnitPrice");
            }
        }

        public int Quantity
        {
            get
            {
                return _quantiy;
            }
            set
            {
                _quantiy = value;
                RaisePropertyChanged("Quantity");
            }
        }


        public ObservableCollection<ProductInfo> ProductDetails
        {
            get
            {
                return productdetails;
            }
            set
            {
                productdetails = value;
                RaisePropertyChanged("ProductDetails");
            }
        }

        #endregion

        public event PropertyChangedEventHandler PropertyChanged;
        protected void RaisePropertyChanged(string name)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(name));
            }
        }

     }
}
